Bug 1836833 - oc new-app should generate deployment by default
Summary: oc new-app should generate deployment by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 09:43 UTC by Maciej Szulik
Modified: 2020-07-13 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:39:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 355 0 None closed Bug 1836833: Switch new-app to generate deployment, by default 2021-01-27 07:59:24 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:39:51 UTC

Description Maciej Szulik 2020-05-18 09:43:01 UTC
Currently invoking oc new-app creates a deployment config. It should create deployment, instead with a possible flag to fallback to deployment config.

Comment 3 zhou ying 2020-05-22 02:18:31 UTC
[root@dhcp-140-138 ~]# oc version -o yaml
clientVersion:
  buildDate: "2020-05-20T14:05:53Z"
  compiler: gc
  gitCommit: 24c1ae62f7811d6ecea8a6b14996ffaad8d2ffbf
  gitTreeState: clean
  gitVersion: 4.5.0-202005201357-24c1ae6
  goVersion: go1.13.4
  major: ""
  minor: ""
  platform: linux/amd64
openshiftVersion: 4.5.0-0.nightly-2020-05-21-135919
serverVersion:
  buildDate: "2020-05-21T06:49:03Z"
  compiler: gc[root@dhcp-140-138 ~]# oc new-app openshift/hello-openshift
--> Found container image 7af3297 (2 years old) from Docker Hub for "openshift/hello-openshift"

    * An image stream tag will be created as "hello-openshift:latest" that will track this image

--> Creating resources ...
    imagestream.image.openshift.io "hello-openshift" created
    deployment.apps "hello-openshift" created
    service "hello-openshift" created
--> Success
    Application is not exposed. You can expose services to the outside world by executing one or more of the commands below:
     'oc expose svc/hello-openshift' 
    Run 'oc status' to view your app.

  gitCommit: d543523
  gitTreeState: clean
  gitVersion: v1.18.2
  goVersion: go1.13.4
  major: "1"
  minor: 18+
  platform: linux/amd64

Comment 4 errata-xmlrpc 2020-07-13 17:39:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.